Update a package from the base repository
POST
/api/content/management/packages/{repo}/{packageName}/update-from-base
const url = 'https://example.com/api/content/management/packages/example/example/update-from-base';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"changes":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/content/management/packages/example/example/update-from-base \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "changes": [ "example" ] }'Pulls selected base-repository changes into the package. Requires the packages.update_from_base permission.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”repo
required
Repository name or ID
string
packageName
required
Package name
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
changes
required
Base-repository changes to pull into the package
Array
Examplegenerated
{ "changes": [ "example" ]}Responses
Section titled “Responses”Package updated from base
Media typeapplication/json
Update-from-base result
object
Examplegenerated
{}Access denied
Media typeapplication/json
object
error
required
Indicates an error occurred
boolean
message
required
Error message describing what went wrong
string
Example
{ "error": true, "message": "Item not found"}